pcl::detail::AccumulatorNormal Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

typedef pcl::traits::has_normal< boost::mpl::_1 > | IsCompatible

## Public Member Functions

| AccumulatorNormal ()
template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, size_t) const

## Public Attributes

Eigen::Vector4f | normal

## Detailed Description

Definition at line 86 of file accumulators.hpp.

## Member Typedef Documentation

typedef pcl::traits::has_normal<boost::mpl::_1> pcl::detail::AccumulatorNormal::IsCompatible

Definition at line 90 of file accumulators.hpp.

## Constructor & Destructor Documentation

pcl::detail::AccumulatorNormal::AccumulatorNormal | ( |  | ) |

inline

Definition at line 95 of file accumulators.hpp.

## Member Function Documentation

template<typename PointT >

void pcl::detail::AccumulatorNormal::add | ( | const PointT & | t | ) |

inline

Definition at line 100 of file accumulators.hpp.

template<typename PointT >

void pcl::detail::AccumulatorNormal::get | ( | PointT & | t,
|  | size_t |
| ) |  | const

inline

Definition at line 103 of file accumulators.hpp.

## Member Data Documentation

Eigen::Vector4f pcl::detail::AccumulatorNormal::normal

Definition at line 93 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/accumulators.hpp